Bug 182694 - Seahorse crashes on exit with illegal g_free()
Seahorse crashes on exit with illegal g_free()
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: seahorse (Show other bugs)
rawhide
All Linux
medium Severity low
: ---
: ---
Assigned To: Seth Vidal
Fedora Extras Quality Assurance
http://bugzilla.gnome.org/show_bug.cg...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-02-23 21:14 EST by John Thacker
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-02-24 14:23:04 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Fixes crash on exit (552 bytes, patch)
2006-02-23 21:19 EST, John Thacker
no flags Details | Diff


External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Desktop 325804 None None None Never

  None (edit)
Description John Thacker 2006-02-23 21:14:35 EST
Description of problem:
Seahorse crashes on exit with an illegal freeing of a GObject.  It's
been fixed in CVS.
See:
http://bugzilla.gnome.org/show_bug.cgi?id=325804
http://cvs.gnome.org/viewcvs/seahorse/ChangeLog?r1=1.360.2.62&r2=1.360.2.63
http://cvs.gnome.org/viewcvs/seahorse/libseahorse/seahorse-widget.c?r1=1.7.2.3&r2=1.7.2.4

Version-Release number of selected component (if applicable):
seahorse-0.8-2.fc5

How reproducible:
Everytime

Steps to Reproduce:
1. Start seahorse in a terminal.
2. Exit
  
Actual results:
Crash on exit with
*** glibc detected *** seahorse: free(): invalid pointer: 0x0a003d18 ***

Expected results:
No crash.

Additional info:
Patch is straightforward.  I'll make one in a second.
Comment 1 John Thacker 2006-02-23 21:19:24 EST
Created attachment 125155 [details]
Fixes crash on exit
Comment 2 Seth Vidal 2006-02-23 23:00:00 EST
thank you very much.

added, committed and build has been spawned 

Job ID: 5199

let me know if it works better for you - I don't have an fc5/devel machine right
now to test on.
Comment 3 John Thacker 2006-02-24 14:23:04 EST
Works great, thanks!

Thank you very much Seth for being so responsive and quick to fix the package! 
If only the seahorse maintainer would go ahead and release 0.8.1 with these fixes.
Comment 4 Seth Vidal 2006-02-24 14:25:13 EST
Hah, it only took me 3 months to get around to fixing seahorse from the last
bug. I need to get my average up somehow.


Note You need to log in before you can comment on or make changes to this bug.